/* Стили для всего документа */
body {
    font-family: Arial, sans-serif;
    /* Шрифт для всего документа */
    text-align: center;
    /* Центрирование текста */
    margin: 0;
    padding: 0;
    background-color: #eef7f8;
    /* Фон страницы */
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

/* Стили для контейнера теста */
.quiz-container {
    width: 90%;
    max-width: 600px;
    /* Максимальная ширина контейнера */
    padding: 30px 20px;
    background-color: #ffffff;
    /* Фон контейнера */
    border-radius: 15px;
    /* Закругление углов */
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
    /* Тень контейнера */
}

/* Стили для заголовка теста */
h1 {
    font-size: 28px;
    /* Размер заголовка */
    margin-bottom: 20px;
    /* Отступ снизу */
    color: #007acc;
    /* Цвет заголовка */
    font-weight: bold;
    /* Полужирный текст */
}

/* Стили для вопроса */
.question {
    font-size: 20px;
    /* Размер шрифта вопроса */
    margin-bottom: 15px;
    /* Отступ снизу */
    color: #333;
    /* Цвет текста */
    padding: 15px;
    border-radius: 10px;
    /* Закругление углов */
    background-color: #f0f8ff;
    /* Фон вопроса */
}

/* Стили для блока с вариантами ответов */
.options {
    margin-bottom: 20px;
    /* Отступ снизу */
}

/* Стили для кнопок с вариантами ответов */
button.option {
    width: 100%;
    /* Ширина кнопки */
    font-size: 18px;
    /* Размер шрифта */
    padding: 15px;
    /* Внутренние отступы */
    margin: 10px 0;
    /* Отступы сверху и снизу */
    background-color: #ff974294;
    /* Фон кнопки */
    color: #723d12;
    /* Цвет текста */
    border: none;
    /* Без рамки */
    border-radius: 10px;
    /* Закругление углов */
    cursor: pointer;
    /* Курсор руки */
}

/* Стили для кнопок при наведении */
button.option:hover {
    background-color: #ff9742a4;
    /* Фон кнопки при наведении */
}

/* Стили для блока с результатом теста */
.result {
    font-size: 22px;
    /* Размер шрифта */
    margin-top: 30px;
    /* Отступ сверху */
    color: #007acc;
    /* Цвет текста */
    font-weight: bold;
    /* Полужирный текст */
    display: none;
    /* Изначально скрыт */
}

